from . import PrintContinue

from UM.i18n import i18nCatalog
i18n_catalog = i18nCatalog("ContinuePrint")

def getMetaData():
    return {
        "type": "extension",
        "plugin":
        {
            "name": "PrintContinue",
            "author": "Zeheng Gong and Paul Preuschoff",
            "version": "1.0.0",
            "supported_sdk_versions": ["6.0.0","6.1.0","6.2.0","6.3.0","7.0.0","7.1.0"],
            "description": i18n_catalog.i18nc("Description of plugin","Continue an aborted print.")
        }
    }

def register(app):
    return {"extension": PrintContinue.PrintContinue()}
